BANK KALTENG - Bug #3664

Menu Archive (tambah after render refresh) [ESS PMS]
06/11/2025 11:06 AM - haykal haykal

Status: QA Test Start date: 06/11/2025
Priority: High Due date: 06/17/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Dear Azid,

Gua sering menemukan case yg kadang muncul, kadang nggak. Jadi tadi 'kan gua lagi ngecek-ngecek menu Archive untk data ESS
PMS nya karyawan. Dan tadi gua test-test refresh beberapa kali.

Kadang KPI dan Perilaku Kerja gak muncul sama sekali. Kadang KPI nya doang yang muncul tapi yg Perilaku Kerja nggak. Kadang
KPI muncul dan Perilaku Kerja muncul; tapi yg Perilaku Kerja ngeloadnya kode doang. Kadang KPI dan Perilaku Kerja muncul dan
ok-ok aja.

Tolong dibikin logic function untuk mengatasi hal itu ya. Supaya hasil ngeloadnya ketika buka data Archive selalu konsisten muncul
semua.

Terimakasih.
Contoh data Archive yg tadi gua test: EmployeelD 00000047
Menu Path: My Workplace > Archive

Port: http://remote.minovais.com:61133/
DB: MinovaES_BankKalteng_BaseServerProd (1452)

History

#1 - 06/11/2025 05:01 PM - Kezia Pawitra Yulianti
- Due date set to 06/17/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 06/19/2025 02:08 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal

dear haykal , udah bisa di test ya

penyebab nya :

grid.view.refresh();

proses refresh grid bisa menjadi tidak konsisten dan itu biasa terjadi dalam ExtJS jika salah satu di Bawah ini:
1. Store belum selesai diload saat view di-refresh.

2. View belum sepenuhnya rendered saat .refresh() dipanggil.

3. Terjadi race condition akibat asynchronous behavior.

package :
controller : E:\\APP\KaltengBaseServerBKT\U\app\controller\workflow\run\CtrlLoadScreen.js

makasih
